%define major		2
%define libxft 		%mklibname xft %{major}
%define develname	%mklibname -d xft

Name:		libxft
Summary:	X FreeType library
Version:	2.3.0
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.bz2
# (fwang) Patch from MagicLinux, enable embedded bitmap option in Xft
# (pzanoni): disabled as the 2.1.14 release seems to integrate part of it in a
# different way
#Patch1: libXft-2.1.8-add-embeddedbitmap-and-gamma-option.patch

BuildRequires:	libfontconfig-devel >= 2.3.93
BuildRequires:	libxau-devel >= 1.0.0
BuildRequires:	libxrender-devel >= 0.9.0.2
BuildRequires:	x11-util-macros >= 1.0.1

%description
X FreeType library.

#-----------------------------------------------------------

%package -n %{libxft}
Summary:	X FreeType library
Group:		Development/X11
Provides:	%{name} = %{version}

%description -n %{libxft}
X FreeType library.

%files -n %{libxft}
%defattr(-,root,root)
%{_libdir}/libXft.so.%{major}
%{_libdir}/libXft.so.%{version}

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxft} = %{version}
Provides:	xft2-devel = %{version}-%{release}
Provides:	libxft-devel = %{version}-%{release}
Obsoletes:	%{mklibname -s -d xft} < 2.2.0-2

%description -n %{develname}
Development files for %{name}.

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man3/Xft.*

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}
#%patch1 -p0 -b .embeddedbitmap

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}


%changelog

* Fri Mar 09 2012 tv <tv> 2.3.0-1.mga2
+ Revision: 222149
- new release

* Sun Oct 09 2011 wally <wally> 2.2.0-2.mga2
+ Revision: 153565
- disable static build and get rid of .la files
- clean .spec and drop some old obsoletes/conflicts

* Fri Jan 14 2011 rtp <rtp> 2.2.0-1.mga1
+ Revision: 17922
- Drop ldconfig scripts
- imported package libxft

